Bug 88996 - import qt fails
import qt fails
Product: Red Hat Linux
Classification: Retired
Component: PyQt (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2003-04-16 04:24 EDT by Petr Hrasky
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-29 11:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Hrasky 2003-04-16 04:24:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
RedHat 9 Shrike from installed from downloaded isos. It doesn't work the same
way on my Athlon PC at home and my Dell Latitude C840 (PIV 1.6GHz) laptop at
work. See logged shell session bellow.

ph183202@hal dev]$ python
Python 2.2.2 (#1, Feb 24 2003, 19:13:11)
[GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import qt
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.2/site-packages/qt.py", line 39, in ?
    import libqtc
ImportError: /usr/lib/python2.2/site-packages/libqtcmodule.so: undefined symbol:
[ph183202@hal dev]$ rpm -q pyqt
package pyqt is not installed
[ph183202@hal dev]$ rpm -q PyQt
[ph183202@hal dev]$

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start python interpreter
2. import qt
3. watch it fail

Actual Results:  unresolved symbol problem is reported

Expected Results:  module should be loaded

Additional info:

libqtcmodule.so is also missing library libsip.so.9 which is located at the same
dir and thus not linkable automatically using ld.so. I fixed this by adding the
path to /etc/ld.so.conf but it did not help to load qt module. Altough
libqtcmodule.so was then linked to libsip.so.9 successfully.

[ph183202@hal dev]$ ldd /usr/lib/python2.2/site-packages/libqtcmodule.so
        libqassistantclient.so.1 => /usr/lib/qt-3.1/lib/libqassistantclient.so.1
        libsip.so.9 => not found
        libqt-mt.so.3 => /usr/lib/qt-3.1/lib/libqt-mt.so.3 (0x40648000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40cb3000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40cc2000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x40da1000)
        libstdc++.so.5 => /usr/lib/libstdc++.so.5 (0x40df2000)
        libm.so.6 => /lib/libm.so.6 (0x40ea5000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x40ec6000)
        libc.so.6 => /lib/libc.so.6 (0x40ece000)
        libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x40ff5000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x41007000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x41058000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x41060000)
        libmng.so.1 => /usr/lib/libmng.so.1 (0x41085000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x410c9000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x410e8000)
        libz.so.1 => /usr/lib/libz.so.1 (0x4110b000)
        libGLU.so.1 => /usr/lib/libGLU.so.1 (0x41119000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0x41196000)
        libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x411fd000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x41213000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x4121d000)
        libdl.so.2 => /lib/libdl.so.2 (0x41234000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x41237000)
        libGLcore.so.1 => /usr/lib/libGLcore.so.1 (0x41257000)
        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x41707000)
[ph183202@hal dev]$
Comment 1 Ngo Than 2003-04-29 11:04:14 EDT
Hmm, it works for me with qt-3.1.1-6, PyQt-3.5-5 and sip-3.5-2.

it looks like you have installed NON-REDHAT qt version!

Please install the correct qt package from RHL9. It should work again

Note You need to log in before you can comment on or make changes to this bug.